diff -ruNw mt-daapd-cvs-20050223/contrib/mt-daapd-ssc-script mt-daapd-cvs-20050223-tri/contrib/mt-daapd-ssc-script
--- mt-daapd-cvs-20050223/contrib/mt-daapd-ssc-script	2005-02-21 09:39:52.000000000 +0200
+++ mt-daapd-cvs-20050223-tri/contrib/mt-daapd-ssc-script	2005-02-24 08:34:18.096913909 +0200
@@ -27,8 +27,10 @@
 #
 # This is quite rudimentary.  Obvious TODO list is as follows:
 #
-# - Start streaming immediatey instead of first converting the entire file.
-# - Implement Apple Lossless, somehow, someone, PLEASE!
+# - Speedup the streaming start.
+# - Make the guessing of the wav length reliable.
+# - Implement Apple Lossless, somehow, someone, PLEASE!  It could be done
+#   by integrating QuickTime 6.5 codecs to MPlayer (currently 6.3)
 # - Possibly implement some kind of caching.
 #
 # I'll probably never have time for above things, but now it should
@@ -40,30 +42,53 @@
 
 require 'sys/syscall.ph';
 
+use POSIX ":sys_wait_h";
 use IO::Handle;
 use IO::File;
+use IPC::Open2;
+use IPC::Open3;
 
 $SIG{PIPE} = 'IGNORE';
 
 {
   umask(0077);
-  if ($#ARGV != 1) {
+  if ($#ARGV < 1) {
     usage();
   }
   my ($fn) = $ARGV[0];
   my ($off) = 0 + $ARGV[1];
+  my ($forgelen) = undef;
+  if ($#ARGV > 1) {
+    $forgelen = 0.0 + $ARGV[2];
+    if ($forgelen < 0.01) {
+      $forgelen = 0.0;
+    }
+  } else {
+    $forgelen = 0.0;
+  }
   if ($off < 0) {
     usage();
   }
-  if ($fn =~ m/^..*\.mp3/i) {
-    mp3_proc($fn, $off);
-  } elsif ($fn =~ m/^..*\.wav$/i) {
-    wav_proc($fn, $off);
-  } elsif ($fn =~ m/^..*\.ogg$/i) {
-    ogg_proc($fn, $off);
+  if ($fn =~ m/^..*\.wav/i) {
+    passthru_proc($fn, $off, $forgelen);
+  } elsif ($fn =~ m/^..*\.wave/i) {
+    passthru_proc($fn, $off, $forgelen);
+  } elsif ($fn =~ m/^..*\.flac/i) {
+    flac_proc($fn, $off, $forgelen);
+  } elsif ($fn =~ m/^..*\.fla/i) {
+    flac_proc($fn, $off, $forgelen);
+  } elsif ($fn =~ m/^..*\.mp3/i) {
+    ffmpeg_proc($fn, $off, $forgelen);
+  } elsif ($fn =~ m/^..*\.mpg/i) {
+    ffmpeg_proc($fn, $off, $forgelen);
+  } elsif ($fn =~ m/^..*\.ogg/i) {
+    ffmpeg_proc($fn, $off, $forgelen);
+  } elsif ($fn =~ m/^..*\.avi/i) {
+    ffmpeg_proc($fn, $off, $forgelen);
+  } elsif ($fn =~ m/^..*\.au/i) {
+    ffmpeg_proc($fn, $off, $forgelen);
   } else {
-    printf STDERR "File \"%s\" is in unknown format.\n", $fn;
-    exit -1;
+    mplayer_proc($fn, $off, $forgelen);
   }
   exit;
 }
@@ -84,72 +109,405 @@
 {
   my ($f) = shift;
   my ($off) = shift;
+  my ($forgelen) = shift;
   my ($buf);
   my ($buflen);
-  my ($buftry) = 1024;
+  my ($buftry) = 4096;
+  my ($hdr);
+
+  $hdr = read_wav_hdr($f);
+  if (! defined $hdr) {
+    return undef;
+  }
+
+  my ($chunk_data_length,
+      $format_data_length,
+      $compression_code,
+      $channel_count,
+      $sample_rate,
+      $sample_bit_length,
+      $data_length) = parse_wav_hdr($hdr);
+
+  if (! defined $chunk_data_length) {
+    print STDERR "Can't parse WAV header.\n";
+    return undef;
+  }
 
-  if ($off != 0) {
-    sysseek($f, $off, 1);
+  if (defined $forgelen) {
+    if ($forgelen > 0.00001) {
+      my ($sec) = int($forgelen);
+      my ($msec) = ($forgelen - (0.0 + int($forgelen))) * 1000;
+      my ($bps) = ($sample_rate * $channel_count * int(($sample_bit_length + 7) / 8));
+      my ($len) = int(($sec * $bps) + (($msec * $bps) / 1000));
+      my ($blocklen);
+      my ($residual);
+      if (($sample_rate == 44100) &&
+	  ($channel_count == 2) &&
+	  ($sample_bit_length == 16)) {
+	# It's probably a CD track so let's round it to next cd block limit (2352 bytes).
+	$blocklen = 2352;
+      } else {
+	# Pad it at least to next valid sample border.
+	$blocklen = ($channel_count * int(($sample_bit_length + 7) / 8))
+      }
+      $residual = $len % $blocklen;
+
+      if ($residual != 0) {
+	my ($pad) = $blocklen - $residual;
+	$len += $pad;
+      }
+      $hdr = forge_wav_hdr($hdr, $len);
+    } else {
+      $hdr = forge_continuous_wav_hdr($hdr);
+    }
+  }
+
+  if (($off > 0) && ($off < length($hdr))) {
+    $hdr = substr($hdr, $off, (length($hdr) - $off));
+  } elsif ($off == length($hdr)) {
+    $hdr = undef;
+  } elsif ($off > length($hdr)) {
+    $hdr = undef;
+    $off -= length($hdr);
+    if (! sysseek($f, $off, 1)) {
+      # It's not seekable.  Then just read until desired offset.
+      while ($off > 0) {
+	my ($rl) = $off > $buftry ? $buftry : $off;
+	$buflen = sysread($f, $buf, $rl);
+	if ($buflen < 1) {
+	  return undef;
+	}
+	$off -= $buflen;
+      }
+    }
+  }
+
+  if (defined $hdr) {
+    if (syswrite (STDOUT, $hdr) != length($hdr)) {
+      print STDERR "Write failed.\n";
+      return undef;
+    }
   }
 
   while (1) {
     $buflen = sysread($f, $buf, $buftry);
-    if ($buflen < 1)
-      {
+    if ($buflen < 1) {
 	return 1;
       }
-    if (syswrite (STDOUT, $buf) != $buflen)
-      {
+    if (syswrite (STDOUT, $buf) != $buflen) {
 	print STDERR "Write failed.\n";
 	return undef;
       }
   }
 }
 
-sub mp3_proc
+sub read_wav_hdr
 {
-  my ($fn) = shift;
-  my ($off) = shift;
-  my ($tf) = tmp_file();
-  my ($f) = undef;
+  my ($f) = shift;
+  my ($hdr) = undef;
+  my ($format_data_length);
 
-  unlink($tf);
-  if (system('mpg123', '--quiet',  '--wav', "$tf", "$fn") == 0) {
-    if (open($f, "< $tf")) {
-      wav_loop($f, $off);
-      close($f);
+  if (sysread($f, $hdr, 44) != 44) {
+    print STDERR "Can't read WAV header.\n";
+    return undef;
     }
+
+  return undef
+    if ((substr($hdr,  0, 4) ne "RIFF"));
+
+  return undef
+    if ((substr($hdr,  8, 4) ne "WAVE"));
+
+  return undef
+    if ((substr($hdr, 12, 4) ne "fmt "));
+
+  $format_data_length = (((((((ord(substr($hdr, 19, 1))) * 256) +
+			     (ord(substr($hdr, 18, 1)))) * 256) +
+			   (ord(substr($hdr, 17, 1)))) * 256) +
+			 (ord(substr($hdr, 16, 1))));
+
+  return undef
+    if (($format_data_length < 16) || ($format_data_length > 256));
+
+  if ($format_data_length > 16) {
+    my ($hdr_cont);
+    my ($cont_len) = $format_data_length - 16;
+    if (sysread($f, $hdr_cont, $cont_len) != $cont_len) {
+      print STDERR "Can't read WAV header.\n";
+      return undef;
   }
-  unlink($tf);
+    $hdr = $hdr . $hdr_cont;
+  }
+
+  # FFMpeg creates sometimes WAVs with fmt chunk longer than 16 bytes.
+  # This is weird, since at least iTunes can't play them.  Let's chop
+  # extra bytes away from the fmt chunk and make the WAV header look
+  # like everything else in the world seems to like it.
+  if ($format_data_length > 16) {
+    my ($chunk_data_length,
+	$format_data_length,
+	$compression_code,
+	$channel_count,
+	$sample_rate,
+	$sample_bit_length,
+	$data_length) = parse_wav_hdr($hdr);
+    $chunk_data_length = $chunk_data_length - ($format_data_length - 16);
+    $hdr = (substr($hdr,  0, 4) .
+	    chr($chunk_data_len % 256) .
+	    chr((int($chunk_data_len / 256)) % 256) .
+	    chr((int($chunk_data_len / (256 * 256))) % 256) .
+	    chr((int($chunk_data_len / (256 * 256 * 256))) % 256) .
+	    substr($hdr,  8, 8) .
+	    chr(16) .
+	    chr(0) .
+	    chr(0) .
+	    chr(0) .
+	    substr($hdr,  20, 16) .
+	    substr($hdr, 20 + $format_data_length, length($hdr) - (20 + $format_data_length)));
+  }
+
+  return $hdr;
 }
 
-sub wav_proc
+sub parse_wav_hdr
+{
+  my ($hdr) = shift;
+  if (length($hdr) < 44) {
+    return undef;
+  }
+
+  my ($chunk_data_length);
+  my ($format_data_length);
+  my ($compression_code);
+  my ($channel_count);
+  my ($sample_rate);
+  my ($sample_bit_length);
+  my ($data_length);
+
+  return undef
+    if ((substr($hdr,  0, 4) ne "RIFF"));
+
+  $chunk_data_length = (((((((ord(substr($hdr, 7, 1))) * 256) +
+			    (ord(substr($hdr, 6, 1)))) * 256) +
+			  (ord(substr($hdr, 5, 1)))) * 256) +
+			(ord(substr($hdr, 4, 1))));
+
+  return undef
+    if ((substr($hdr,  8, 4) ne "WAVE"));
+
+  return undef
+    if ((substr($hdr, 12, 4) ne "fmt "));
+
+  $format_data_length = (((((((ord(substr($hdr, 19, 1))) * 256) +
+			     (ord(substr($hdr, 18, 1)))) * 256) +
+			   (ord(substr($hdr, 17, 1)))) * 256) +
+			 (ord(substr($hdr, 16, 1))));
+
+  return undef
+    if ($format_data_length < 16);
+
+  $compression_code = (((ord(substr($hdr, 21, 1))) * 256) +
+		       (ord(substr($hdr, 20, 1))));
+
+  return undef
+    if ($compression_code != 1);
+
+  $channel_count = (((ord(substr($hdr, 23, 1))) * 256) +
+		    (ord(substr($hdr, 22, 1))));
+
+  return undef
+    if ($channel_count < 1);
+
+  $sample_rate = (((((((ord(substr($hdr, 27, 1))) * 256) +
+		      (ord(substr($hdr, 26, 1)))) * 256) +
+		    (ord(substr($hdr, 25, 1)))) * 256) +
+		  (ord(substr($hdr, 24, 1))));
+
+  $sample_bit_length = (((ord(substr($hdr, 35, 1))) * 256) +
+			(ord(substr($hdr, 34, 1))));
+
+  return undef
+    if ((substr($hdr, $format_data_length + 20, 4) ne "data"));
+
+  $data_length = (((((((ord(substr($hdr, $format_data_length + 24 + 3, 1))) * 256) +
+		      (ord(substr($hdr, $format_data_length + 24 + 2, 1)))) * 256) +
+		    (ord(substr($hdr, $format_data_length + 24 + 1, 1)))) * 256) +
+		  (ord(substr($hdr, $format_data_length + 24 + 0, 1))));
+
+  return ($chunk_data_length,
+	  $format_data_length,
+	  $compression_code,
+	  $channel_count,
+	  $sample_rate,
+	  $sample_bit_length,
+	  $data_length);
+}
+
+sub forge_wav_hdr
+{
+  my ($hdr) = shift;
+  my ($data_len) = shift;
+  my ($chunk_data_len) = $data_len + 36;
+
+  return (substr($hdr,  0, 4) .
+	  chr($chunk_data_len % 256) .
+	  chr((int($chunk_data_len / 256)) % 256) .
+	  chr((int($chunk_data_len / (256 * 256))) % 256) .
+	  chr((int($chunk_data_len / (256 * 256 * 256))) % 256) .
+	  substr($hdr,  8, length($hdr) - 8 - 4) .
+	  chr($data_len % 256) .
+	  chr((int($data_len / 256)) % 256) .
+	  chr((int($data_len / (256 * 256))) % 256) .
+	  chr((int($data_len / (256 * 256 * 256))) % 256));
+}
+
+sub forge_continuous_wav_hdr
+{
+  my ($hdr) = shift;
+
+  return (substr($hdr,  0, 4) .
+	  chr(0xff) .
+	  chr(0xff) .
+	  chr(0xff) .
+	  chr(0xff) .
+	  substr($hdr,  8, length($hdr) - 8 - 4) .
+	  chr(0xff - length($hdr) - 8) .
+	  chr(0xff) .
+	  chr(0xff) .
+	  chr(0xff));
+}
+
+sub passthru_proc
 {
   my ($fn) = shift;
   my ($off) = shift;
+  my ($forgelen) = shift;
   my ($tf) = tmp_file();
   my ($f) = undef;
 
   if (! open($f, "< $fn")) {
     return undef;
   }
-  wav_loop($f, $off);
+  wav_loop($f, $off, undef); # Ignore $forgelen
   close($f);
 }
 
-sub ogg_proc
+sub flac_proc
+{
+  my ($fn) = shift;
+  my ($off) = shift;
+  my ($forgelen) = shift;
+  my ($r) = undef;
+  my ($w) = undef;
+  my ($pid);
+
+  $pid = open2($r, $w, 'flac', '--silent', '--decode', '--stdout', "$fn");
+  wav_loop($r, $off, undef); # Ignore $forgelen
+  close($r);
+  close($w);
+  if (waitpid($pid, WNOHANG) <= 0) {
+    kill(SIGKILL, $pid);
+    waitpid($pid, 0);
+  }
+}
+
+sub ffmpeg_proc
 {
   my ($fn) = shift;
   my ($off) = shift;
+  my ($forgelen) = shift;
+  my ($r) = undef;
+  my ($w) = undef;
+  my ($pid);
+
+  $pid = open2($r, $w, 'ffmpeg', '-vn', '-i', "$fn", '-f', 'wav', '-');
+  wav_loop($r, $off, $forgelen);
+  close($r);
+  close($w);
+  if (waitpid($pid, WNOHANG) <= 0) {
+    kill(SIGKILL, $pid);
+    waitpid($pid, 0);
+  }
+}
+
+sub mplayer_proc
+{
+  my ($fn) = shift;
+  my ($off) = shift;
+  my ($forgelen) = shift;
   my ($tf) = tmp_file();
+  my ($w) = undef;
   my ($f) = undef;
-
+  my ($pid);
+  my ($i);
+  my ($started) = undef;
+  my ($waited) = undef;
+  my ($ready) = undef;
+  my ($prebuf) = 2 * 1024 * 1024;
   unlink($tf);
-  if (system('oggdec', '--quiet', '-o', "$tf", "$fn") == 0) {
+  $pid = open3('>&STDERR', $w, '>&STDERR',
+	       'mplayer',
+	       '-quiet', '-really-quiet',
+	       '-vo', 'null',
+	       '-nomouseinput', '-nojoystick', '-nolirc',
+	       '-noconsolecontrols', '-nortc',
+	       '-aofile', "$tf", '-ao', 'pcm', "$fn");
+
+  # Wait just to see, if the decoding starts.
+  # If the resulting wav is less than 512 bytes,
+  # This will fail, but who cares.
+  foreach $i (0.05, 0.1, 0.2, 0.4, 0.8, 1.6, 3.2) {
+    my ($s);
+    my ($wp);
+    select(undef, undef, undef, $i);
+    $wp = waitpid($pid, WNOHANG);
+    ($_, $_, $_, $_, $_, $_, $_, $s, $_, $_, $_, $_, $_) = stat("$tf");
+    if (defined $s && ($s > 512)) {
+      $started = 1;
+    }
+    if ($wp > 0) {
+      $waited = 1;
+    }
+    if ($started || $waited) {
+      last;
+    }
+  }
+  if (! $started) {
+    kill(SIGKILL, $pid);
+    unlink($tf);
+  }
+
+  # Loop here until we got data beyond the offset point
+  # or the process terminates.
+  my ($sleep) = 0.025;
+  while (! $waited) {
+    my ($s);
+    my ($wp);
+    if ($sleep < 0.5) {
+      $sleep *= 2.0;
+    }
+    select(undef, undef, undef, $sleep);
+    $wp = waitpid($pid, WNOHANG);
+    ($_, $_, $_, $_, $_, $_, $_, $s, $_, $_, $_, $_, $_) = stat("$tf");
+    if (defined $s && ($s > ($off + $prebuf))) {
+      $ready = 1;
+    }
+    if ($wp > 0) {
+      $waited = 1;
+    }
+    if ($ready || $waited) {
+      last;
+    }
+  }
+
+  # Stream.
     if (open($f, "< $tf")) {
-      wav_loop($f, $off);
+    wav_loop($f, $off, $forgelen);
       close($f);
     }
+  if (! $waited) {
+    waitpid($pid, 0);
   }
+  close($w);
   unlink($tf);
 }
diff -ruNw mt-daapd-cvs-20050223/src/main.c mt-daapd-cvs-20050223-tri/src/main.c
--- mt-daapd-cvs-20050223/src/main.c	2005-02-21 10:10:35.000000000 +0200
+++ mt-daapd-cvs-20050223-tri/src/main.c	2005-02-24 08:32:54.884234205 +0200
@@ -392,7 +392,9 @@
 	    // The file should be converted in the server side.
 	    DPRINTF(E_WARN,L_WS,"Thread %d: Autoconvert file %s for client\n",
 		    pwsc->threadno,real_path);
-	    file_ptr=server_side_convert_open(real_path,offset);
+	    file_ptr = server_side_convert_open(real_path,
+						offset,
+						pmp3->song_length);
 	    if (file_ptr) {
 		file_fd = fileno(file_ptr);
 	    } else {
diff -ruNw mt-daapd-cvs-20050223/src/mp3-scanner.c mt-daapd-cvs-20050223-tri/src/mp3-scanner.c
--- mt-daapd-cvs-20050223/src/mp3-scanner.c	2005-02-24 07:04:05.000000000 +0200
+++ mt-daapd-cvs-20050223-tri/src/mp3-scanner.c	2005-02-24 08:33:01.330217915 +0200
@@ -281,6 +281,7 @@
 static int scan_get_fileinfo(char *file, MP3FILE *pmp3);
 static int scan_get_mp3fileinfo(char *file, MP3FILE *pmp3);
 static int scan_get_aacfileinfo(char *file, MP3FILE *pmp3);
+static int scan_get_wavfileinfo(char *file, MP3FILE *pmp3);
 static int scan_get_nulfileinfo(char *file, MP3FILE *pmp3) { return 0; };
 static int scan_get_urlfileinfo(char *file, MP3FILE *pmp3);
 
@@ -311,6 +312,7 @@
     { "m4a", scan_get_aactags, scan_get_aacfileinfo },
     { "m4p", scan_get_aactags, scan_get_aacfileinfo },
     { "mp3", scan_get_mp3tags, scan_get_mp3fileinfo },
+    { "wav", scan_get_nultags, scan_get_wavfileinfo },
     { "url", scan_get_nultags, scan_get_urlfileinfo },
 #ifdef OGGVORBIS
     { "ogg", scan_get_nultags, scan_get_oggfileinfo },
@@ -1231,6 +1233,84 @@
     return 0;
 }
 
+#define GET_WAV_INT32(p) ((((unsigned long)((p)[3])) << 24) |	\
+		          (((unsigned long)((p)[2])) << 16) |	\
+		          (((unsigned long)((p)[1])) << 8) |	\
+		          (((unsigned long)((p)[0]))))
+
+#define GET_WAV_INT16(p) ((((unsigned long)((p)[1])) << 8) |	\
+		          (((unsigned long)((p)[0]))))
+
+/*
+ * scan_get_wavfileinfo
+ *
+ * Get info from the actual wav headers
+ */
+int scan_get_wavfileinfo(char *file, MP3FILE *pmp3) {
+    FILE *infile;
+    size_t rl;
+    unsigned char hdr[44];
+    unsigned long chunk_data_length;
+    unsigned long format_data_length;
+    unsigned long compression_code;
+    unsigned long channel_count;
+    unsigned long sample_rate;
+    unsigned long sample_bit_length;
+    unsigned long bit_rate;
+    unsigned long data_length;
+    unsigned long sec, ms;
+
+    DPRINTF(E_DBG,L_SCAN,"Getting WAV file info\n");
+
+    if(!(infile=fopen(file,"rb"))) {
+	DPRINTF(E_WARN,L_SCAN,"Could not open %s for reading\n",file);
+	return -1;
+    }
+
+    fseek(infile,0,SEEK_END);
+    pmp3->file_size = ftell(infile);
+    fseek(infile,0,SEEK_SET);
+
+    rl = fread(hdr, 1, 44, infile);
+    fclose(infile);
+    if (rl != 44) {
+	DPRINTF(E_WARN,L_SCAN,"Could not read wav header from %s\n",file);
+        return -1;
+    }
+
+    if (strncmp(hdr + 0, "RIFF", 4) ||
+	strncmp(hdr + 8, "WAVE", 4) ||
+	strncmp(hdr + 12, "fmt ", 4) ||
+	strncmp(hdr + 36, "data", 4)) {
+	DPRINTF(E_WARN,L_SCAN,"Invalid wav header in %s\n",file);
+        return -1;
+    }
+
+    chunk_data_length = GET_WAV_INT32(hdr + 4);
+    format_data_length = GET_WAV_INT32(hdr + 16);
+    compression_code = GET_WAV_INT16(hdr + 20);
+    channel_count = GET_WAV_INT16(hdr + 22);
+    sample_rate = GET_WAV_INT32(hdr + 24);
+    sample_bit_length = GET_WAV_INT16(hdr + 34);
+    data_length = GET_WAV_INT32(hdr + 40);
+
+    if ((format_data_length != 16) ||
+	(compression_code != 1) ||
+	(channel_count < 1)) {
+	DPRINTF(E_WARN,L_SCAN,"Invalid wav header in %s\n",file);
+        return -1;
+    }
+
+    bit_rate = sample_rate * channel_count * ((sample_bit_length + 7) / 8) * 8;
+    pmp3->bitrate = bit_rate / 1000;
+    pmp3->samplerate = sample_rate;
+    sec = data_length / (bit_rate / 8);
+    ms = ((data_length % (bit_rate / 8)) * 1000) / (bit_rate / 8);
+    pmp3->song_length = (sec * 1000) + ms;
+
+    return 0;
+}
+
 
 /**
  * Decode an mp3 frame header.  Determine layer, bitrate, 
diff -ruNw mt-daapd-cvs-20050223/src/ssc.c mt-daapd-cvs-20050223-tri/src/ssc.c
--- mt-daapd-cvs-20050223/src/ssc.c	2005-02-21 10:10:36.000000000 +0200
+++ mt-daapd-cvs-20050223-tri/src/ssc.c	2005-02-24 08:32:54.885234047 +0200
@@ -134,7 +134,7 @@
  * @param path char * to the real filename.
  * @param offset off_t to the point in file where the streaming starts.
  */
-FILE *server_side_convert_open(char *path, off_t offset)
+FILE *server_side_convert_open(char *path, off_t offset, unsigned long len_ms)
 {
     char *cmd;
     FILE *f;
@@ -142,8 +142,8 @@
     cmd=(char *)malloc(strlen(config.ssc_prog) +
 		       strlen(path) +
 		       64);
-    sprintf(cmd, "%s \"%s\" %ld",
-	    config.ssc_prog, path, (long)offset);
+    sprintf(cmd, "%s \"%s\" %ld %lu.%03lu",
+	    config.ssc_prog, path, (long)offset, len_ms / 1000, len_ms % 1000);
     f = popen(cmd, "r");
     return f;
 }
diff -ruNw mt-daapd-cvs-20050223/src/ssc.h mt-daapd-cvs-20050223-tri/src/ssc.h
--- mt-daapd-cvs-20050223/src/ssc.h	2005-02-21 10:10:37.000000000 +0200
+++ mt-daapd-cvs-20050223-tri/src/ssc.h	2005-02-24 08:32:54.886233889 +0200
@@ -27,7 +27,9 @@
 
 extern int server_side_convert_set(MP3FILE *pmp3);
 extern char *server_side_convert_path(char *path);
-extern FILE *server_side_convert_open(char *path, off_t offset);
+extern FILE *server_side_convert_open(char *path,
+				      off_t offset,
+				      unsigned long len_ms);
 extern void server_side_convert_close(FILE *f);
 
 #endif /* _SCC_H_ */
